# This spec is backported to ALTLinux 4.1 automatically by rpmbh script. Do not edit it.
Name: atanks
Version: 3.2
Release: alt0.M41.2

Summary: Atomic Tanks - multi-player game similar to worms
License: GPL
Group: Games/Arcade

Url: http://atanks.sourceforge.net

Packager: Ilya Mashkin <oddity@altlinux.ru>


Source: %name-%{version}.tar.gz
Source1: atanks.desktop
Source2: %name.png
Patch: %name-gcc34-fix.patch

# Automatically added by buildreq on Mon Jan 17 2005 (-bi)
BuildRequires: gcc-c++ liballegro-devel libstdc++-devel xorg-x11-libs desktop-file-utils

BuildRequires: rpm-build-compat >= 0.95

%description
This is Atomic Tanks, a multi-player game similar to worms which involves firing enormous
weapons to try and destroy the other tanks.

%prep
%setup -q -n %name
#patch0 -p1
%__subst 's,-DDATA_DIR=\\\".\\\",-DDATA_DIR=\\\"%_gamesdatadir/%name\\\",' src/Makefile

%build
%__make

%install
%__mkdir_p %buildroot{%_gamesbindir,%_gamesdatadir/%name}

%__install -p -m 755 atanks %buildroot%_gamesbindir/%name
%__install -p -m 644 *.dat %buildroot%_gamesdatadir/%name/
%__install -p -m 644 *.txt %buildroot%_gamesdatadir/%name/
#menu support
%__mkdir -p %buildroot%_menudir
%__cat > %buildroot%_menudir/%name << EOF
?package(%name):command="%name" needs="x11" \
icon="%name.png" section="Amusement/Arcade" title="Atomic Tanks" \
longtitle="Atomic Tanks - worms like game"
EOF
%__mkdir -p %buildroot%_iconsdir
%__install -m 644 %SOURCE2 %buildroot%_iconsdir/

desktop-file-install \
    --mode 0644 \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications/ \
    %SOURCE1



%files
%doc README TODO Changelog
%_gamesbindir/*
%dir %_gamesdatadir/%name
%_gamesdatadir/%name/*
%_menudir/%name
%_iconsdir/%name.png
%_datadir/applications/*

%changelog
* Sat Apr 04 2009 Ilya Mashkin <oddity@altlinux.ru> 3.2-alt0.M41.2
- backport to ALTLinux 4.1 (by rpmbph script)

* Sun Dec 28 2008 Ilya Mashkin <oddity@altlinux.org> 3.2-alt2
- add desktop file
- remove unneeded post scripts

* Thu Oct 09 2008 Ilya Mashkin <oddity@altlinux.ru> 3.2-alt1
- 3.2

* Sat Sep 06 2008 Ilya Mashkin <oddity@altlinux.ru> 3.1-alt1
- 3.1

* Thu Jul 03 2008 Ilya Mashkin <oddity@altlinux.ru> 3.0-alt1
- 3.0

* Mon May 26 2008 Ilya Mashkin <oddity@altlinux.ru> 2.9-alt1
- 2.9

* Wed Mar 05 2008 Ilya Mashkin <oddity@altlinux.ru> 2.8-alt1
- 2.8

* Sat Dec 22 2007 Ilya Mashkin <oddity@altlinux.ru> 2.7-alt1
- New version 2.7

* Sun Sep 09 2007 Ilya Mashkin <oddity@altlinux.ru> 2.5-alt1
- New version 2.5

* Sat Apr 21 2007 Ilya Mashkin <oddity@altlinux.ru> 2.3-alt1
- New version 2.3

* Sun Mar 11 2007 Ilya Mashkin <oddity@altlinux.ru> 2.2-alt1
- New version 2.2

* Fri Feb 09 2007 Ilya Mashkin <oddity@altlinux.ru> 2.0-alt1
- Release 2.0 

* Thu Dec 28 2006 Ilya Mashkin <oddity@altlinux.ru> 2.0-alt0.1beta1
- New version 2.0 beta

* Mon Jan 17 2005 Vladimir Lettiev <crux@altlinux.ru> 1.1.0-alt2
- Fix build with gcc-3.4

* Mon Jul 12 2004 Vladimir Lettiev <crux@altlinux.ru> 1.1.0-alt1
- Initial release for Sisyphus

